Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-14494

selectImages.py depends on defunct lsst.geom

    Details

    • Type: Bug
    • Status: Done
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: ap_pipe
    • Labels:
      None

      Description

      selectImages.py depends on lsst.geom.convexHull, which was removed in DM-13790. It should be rewritten to use lsst.sphgeom.ConvexPolygon.convexHull instead.

      This issue is blocker priority because selectImages is included in all imports of lsst.ap.pipe.

        Attachments

          Issue Links

            Activity

            Hide
            mrawls Meredith Rawls added a comment -

            This is a fine small change to update a script that will soon be replaced by DM-11953 anyway.

            Show
            mrawls Meredith Rawls added a comment - This is a fine small change to update a script that will soon be replaced by DM-11953 anyway.
            Hide
            krzys Krzysztof Findeisen added a comment -

            Thanks for the quick review!

            Show
            krzys Krzysztof Findeisen added a comment - Thanks for the quick review!

              People

              • Assignee:
                krzys Krzysztof Findeisen
                Reporter:
                krzys Krzysztof Findeisen
                Reviewers:
                Meredith Rawls
                Watchers:
                Eric Bellm, Krzysztof Findeisen, Meredith Rawls
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: